<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="squeeze">
  <info>
    <pubdate>$LastChangedDate: 2007-2-6 15:12:38 +0200 (mar, 6 fev 2007) $</pubdate>
  </info>
  <refnamediv>
    <refname>squeeze</refname>
    <refpurpose> squeeze</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>hypOut = squeeze(hypIn)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>hypIn</term>
        <listitem>
          <para>hypermatrix or matrix of constant type.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>hypOut</term>
        <listitem>
          <para>hypermatrix or matrix of constant type.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para> Remove sigleton dimensions of a hypermatrix, that is any dimension for
     which the size is 1. If the input is a matrix, it is unaffected.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="hypermat">hypermat</link>
      </member>
      <member>
        <link linkend="hypermatrices">hypermatrices</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Eric Dubois, Jean-Baptiste Silvy</para>
  </refsection>
</refentry>
